Your Privacy Matters: We use our own and third-party cookies to improve your experience on our website. By continuing to use the website we understand that you accept their use. Cookie Policy
85
Message "This field is required" not translating for igGrid columns
posted

I have an igGrid and all translations are working perfectly, except the required message.

My loader:

$.ig.loader({
    scriptPath: "Scripts/",
    cssPath: "Content/",
    resources: "igGrid.Updating,igPieChart,igChartLegend,igCombo",
    locale: "nl, fr, en"
});

My grid:

grid.igGrid({
	language: "nl",
	dataSource: response,
	responseDataKey: "OpstartKostenplaats",
	updateUrl: urlCustomerStartup_SetKostenplaatsen,
	autoGenerateColumns: false,
	primaryKey: "Volgnummer",
	autoCommit: true,
	width: "100%",
	height: "360px",
	columns: [
		{ headerText: "", key: "Volgnummer", dataType: "number", hidden: true },
		{ headerText: "", key: "Klantnr", dataType: "string", hidden: true },
		{ headerText: "", key: "Login", dataType: "object", hidden: true },
		{ headerText: "Code", key: "Code", dataType: "string", width: "20%" }
	],
	features: [
		{
			name: 'Updating',
			columnSettings: [{
				columnKey: "Klantnr",
				defaultValue: webCustomer.Klantnr
			},
			{
				columnKey: "Login",
				defaultValue: [webUser.Gebruikersnaam]
			}, {
				columnKey: "Code",
				required: true,
				editorOptions: {
					maxLength: 10
				}
			}
		}
	]
});

Everything is translated using the files in "modules\i18n\infragistics*-nl.js", even the message for maxLength, but for the required text (f.e. columnKey: "Code", required: true"), it keeps using the text of "modules\infragistics.ui.validator.js" in stead of "modules\i18n\infragistics.ui.validator-nl.js". Do I need an extra resource in the loader? I tried igValidator and igNotifier, but it doesn't help. Any other solution?

Version of Ignite UI: 2018.2

Thanks for your help!